extends Node2D
class_name FishermansPier

@onready var ego: Node2D = $"../ego"

func _ready() -> void:
    pass

func _on_room_looked() -> void:
    pass

func _on_kq4_031_open_ocean_interacted() -> void:
    var target_scene = load("res://scenes/kq4_031_open_ocean/kq4_031_open_ocean.tscn")
    if target_scene:
        get_tree().change_scene_to_packed(target_scene)
